%global plugin_name git-client

Summary:    Shared library plugin for other Git related Jenkins plugins
Name:       jenkins-plugin-%{plugin_name}
Version:    2.4.5
Release:    10%{?dist}
License:    MIT
URL:        https://github.com/jenkinsci/git-client-plugin
# AltURL:   https://wiki.jenkins-ci.org/display/JENKINS/Git+Client+Plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-structs
Requires:   jenkins-plugin-ssh-credentials
Requires:   jenkins-plugin-credentials

%description
Shared library plugin for other Git related Jenkins plugins.

This plugin provides an API to execute general-purpose git 
operations on a local or remote repository.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.4.5 - 2.4.5-10
- rebuilt

* Thu Jul 06 2017 root - 2.4.6-1
- Update to 2.4.6

* Mon May 08 2017 Troy Dawson <tdawson@redhat.com> - 2.4.5-1
- Update to 2.4.5

* Mon Apr 24 2017 Troy Dawson <tdawson@redhat.com> - 2.4.2-1
- Update to 2.4.2

* Tue Apr 04 2017 Troy Dawson <tdawson@redhat.com> - 2.4.1-1
- Update to 2.4.1

* Mon Mar 13 2017 Troy Dawson <tdawson@redhat.com> - 2.3.0-1
- Update to 2.3.0

* Mon Feb 06 2017 Troy Dawson <tdawson@redhat.com> - 2.2.1-1
- Update to 2.2.1

* Mon Feb 06 2017 Troy Dawson <tdawson@redhat.com> - 2.2.1-1
- Update to 2.2.1

* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.0.0-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.19.6-1
- Initial package
